ImageType (gCube Social Networking Library 1.15.0-SNAPSHOT API)
Date: 2017-05-14

org.gcube.portal.databook.shared

## Enum ImageType

- java.lang.Object
- - java.lang.Enum<ImageType>
  - - org.gcube.portal.databook.shared.ImageType

- All Implemented Interfaces:
    Serializable, Comparable<ImageType>

      public enum ImageType
      extends Enum<ImageType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BMP`
    `GIF`
    `JPG`
    `PDF`
    `PNG`
    `TIFF`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ImageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JPG

          public static final ImageType JPG

    - #### GIF

          public static final ImageType GIF

    - #### PNG

          public static final ImageType PNG

    - #### TIFF

          public static final ImageType TIFF

    - #### PDF

          public static final ImageType PDF

    - #### BMP

          public static final ImageType BMP

  - ### Method Detail

    - #### values

          public static ImageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageType c : ImageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All Rights Reserved.